Status: Resolved Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-07-24 Assigned To:
Updated: 2013-10-03 Due date:
Subject: TypoScript string keys
Description

Currently trying to create keys with hyphens results in syntax error, however we need this functionality in order to have keys like
data-nodename e.g.

The syntax could the equal to Yaml where you have 'Key-name': 'value', so 'Key-name' = 'value'

Associated revisions
Revision e41c335e - 2013-10-03 07:53 - Christian Müller

[TASK] Allow Hyphen in TypoScript paths

Allows using the hypen "-" character inside TypoScript paths
so you are able to do something like this:

page.header.attributes.data-foo = 'bar'

Change-Id: I31251cd17a3768424e5e9383f10b2b6b6a86d00e
Resolves: #50380
Reviewed-on: https://review.typo3.org/24267
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst
Tested-by: Mr. Hudson
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2013-10-02 17:02 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24267

#2 - 2013-10-02 23:50 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24267

#3 - 2013-10-03 08:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e41c335eb786c9fc2e4ba5a65dd29f33f39c83cd.
